IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
2001::/20- First address
2001::- Last address
2001:fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
2001:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001::/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001::/32 | 2001:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2001:1::/32 | 2001:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2001:2::/32 | 2001:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2001:3::/32 | 2001:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2001:4::/32 | 2001:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2001:5::/32 | 2001:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2001:6::/32 | 2001:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2001:7::/32 | 2001:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2001:8::/32 | 2001:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2001:9::/32 | 2001:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2001:a::/32 | 2001:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2001:b::/32 | 2001:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2001:c::/32 | 2001:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2001:d::/32 | 2001:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2001:e::/32 | 2001:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2001:f::/32 | 2001:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2001:10::/32 | 2001:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2001:11::/32 | 2001:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2001:12::/32 | 2001:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2001:13::/32 | 2001:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2001:14::/32 | 2001:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2001:15::/32 | 2001:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2001:16::/32 | 2001:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2001:17::/32 | 2001:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2001:18::/32 | 2001:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2001:19::/32 | 2001:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2001:1a::/32 | 2001:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2001:1b::/32 | 2001:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2001:1c::/32 | 2001:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2001:1d::/32 | 2001:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2001:1e::/32 | 2001:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2001:1f::/32 | 2001:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2001:20::/32 | 2001:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2001:21::/32 | 2001:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2001:22::/32 | 2001:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2001:23::/32 | 2001:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2001:24::/32 | 2001:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2001:25::/32 | 2001:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2001:26::/32 | 2001:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2001:27::/32 | 2001:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2001:28::/32 | 2001:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2001:29::/32 | 2001:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2001:2a::/32 | 2001:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2001:2b::/32 | 2001:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2001:2c::/32 | 2001:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2001:2d::/32 | 2001:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2001:2e::/32 | 2001:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2001:2f::/32 | 2001:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2001:30::/32 | 2001:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2001:31::/32 | 2001:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2001:32::/32 | 2001:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2001:33::/32 | 2001:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2001:34::/32 | 2001:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2001:35::/32 | 2001:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2001:36::/32 | 2001:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2001:37::/32 | 2001:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2001:38::/32 | 2001:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2001:39::/32 | 2001:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2001:3a::/32 | 2001:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2001:3b::/32 | 2001:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2001:3c::/32 | 2001:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2001:3d::/32 | 2001:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2001:3e::/32 | 2001:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2001:3f::/32 | 2001:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2001:40::/32 | 2001:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2001:41::/32 | 2001:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2001:42::/32 | 2001:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2001:43::/32 | 2001:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2001:44::/32 | 2001:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2001:45::/32 | 2001:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2001:46::/32 | 2001:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2001:47::/32 | 2001:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2001:48::/32 | 2001:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2001:49::/32 | 2001:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2001:4a::/32 | 2001:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2001:4b::/32 | 2001:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2001:4c::/32 | 2001:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2001:4d::/32 | 2001:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2001:4e::/32 | 2001:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2001:4f::/32 | 2001:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2001:50::/32 | 2001:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2001:51::/32 | 2001:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2001:52::/32 | 2001:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2001:53::/32 | 2001:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2001:54::/32 | 2001:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2001:55::/32 | 2001:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2001:56::/32 | 2001:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2001:57::/32 | 2001:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2001:58::/32 | 2001:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2001:59::/32 | 2001:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2001:5a::/32 | 2001:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2001:5b::/32 | 2001:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2001:5c::/32 | 2001:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2001:5d::/32 | 2001:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2001:5e::/32 | 2001:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2001:5f::/32 | 2001:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2001:60::/32 | 2001:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2001:61::/32 | 2001:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2001:62::/32 | 2001:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2001:63::/32 | 2001:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2001:64::/32 | 2001:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2001:65::/32 | 2001:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2001:66::/32 | 2001:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2001:67::/32 | 2001:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2001:68::/32 | 2001:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2001:69::/32 | 2001:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2001:6a::/32 | 2001:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2001:6b::/32 | 2001:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2001:6c::/32 | 2001:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2001:6d::/32 | 2001:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2001:6e::/32 | 2001:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2001:6f::/32 | 2001:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2001:70::/32 | 2001:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2001:71::/32 | 2001:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2001:72::/32 | 2001:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2001:73::/32 | 2001:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2001:74::/32 | 2001:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2001:75::/32 | 2001:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2001:76::/32 | 2001:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2001:77::/32 | 2001:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2001:78::/32 | 2001:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2001:79::/32 | 2001:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2001:7a::/32 | 2001:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2001:7b::/32 | 2001:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2001:7c::/32 | 2001:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2001:7d::/32 | 2001:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2001:7e::/32 | 2001:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2001:7f::/32 | 2001:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2001:80::/32 | 2001:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2001:81::/32 | 2001:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2001:82::/32 | 2001:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2001:83::/32 | 2001:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2001:84::/32 | 2001:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2001:85::/32 | 2001:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2001:86::/32 | 2001:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2001:87::/32 | 2001:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2001:88::/32 | 2001:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2001:89::/32 | 2001:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2001:8a::/32 | 2001:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2001:8b::/32 | 2001:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2001:8c::/32 | 2001:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2001:8d::/32 | 2001:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2001:8e::/32 | 2001:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2001:8f::/32 | 2001:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2001:90::/32 | 2001:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2001:91::/32 | 2001:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2001:92::/32 | 2001:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2001:93::/32 | 2001:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2001:94::/32 | 2001:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2001:95::/32 | 2001:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2001:96::/32 | 2001:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2001:97::/32 | 2001:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2001:98::/32 | 2001:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2001:99::/32 | 2001:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2001:9a::/32 | 2001:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2001:9b::/32 | 2001:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2001:9c::/32 | 2001:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2001:9d::/32 | 2001:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2001:9e::/32 | 2001:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2001:9f::/32 | 2001:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2001:a0::/32 | 2001:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2001:a1::/32 | 2001:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2001:a2::/32 | 2001:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2001:a3::/32 | 2001:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2001:a4::/32 | 2001:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2001:a5::/32 | 2001:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2001:a6::/32 | 2001:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2001:a7::/32 | 2001:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2001:a8::/32 | 2001:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2001:a9::/32 | 2001:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2001:aa::/32 | 2001:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2001:ab::/32 | 2001:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2001:ac::/32 | 2001:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2001:ad::/32 | 2001:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2001:ae::/32 | 2001:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2001:af::/32 | 2001:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2001:b0::/32 | 2001:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2001:b1::/32 | 2001:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2001:b2::/32 | 2001:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2001:b3::/32 | 2001:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2001:b4::/32 | 2001:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2001:b5::/32 | 2001:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2001:b6::/32 | 2001:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2001:b7::/32 | 2001:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2001:b8::/32 | 2001:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2001:b9::/32 | 2001:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2001:ba::/32 | 2001:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2001:bb::/32 | 2001:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2001:bc::/32 | 2001:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2001:bd::/32 | 2001:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2001:be::/32 | 2001:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2001:bf::/32 | 2001:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2001:c0::/32 | 2001:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2001:c1::/32 | 2001:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2001:c2::/32 | 2001:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2001:c3::/32 | 2001:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2001:c4::/32 | 2001:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2001:c5::/32 | 2001:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2001:c6::/32 | 2001:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2001:c7::/32 | 2001:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2001:c8::/32 | 2001:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2001:c9::/32 | 2001:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2001:ca::/32 | 2001:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2001:cb::/32 | 2001:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2001:cc::/32 | 2001:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2001:cd::/32 | 2001:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2001:ce::/32 | 2001:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2001:cf::/32 | 2001:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2001:d0::/32 | 2001:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2001:d1::/32 | 2001:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2001:d2::/32 | 2001:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2001:d3::/32 | 2001:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2001:d4::/32 | 2001:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2001:d5::/32 | 2001:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2001:d6::/32 | 2001:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2001:d7::/32 | 2001:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2001:d8::/32 | 2001:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2001:d9::/32 | 2001:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2001:da::/32 | 2001:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2001:db::/32 | 2001:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2001:dc::/32 | 2001:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2001:dd::/32 | 2001:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2001:de::/32 | 2001:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2001:df::/32 | 2001:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2001:e0::/32 | 2001:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2001:e1::/32 | 2001:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2001:e2::/32 | 2001:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2001:e3::/32 | 2001:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2001:e4::/32 | 2001:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2001:e5::/32 | 2001:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2001:e6::/32 | 2001:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2001:e7::/32 | 2001:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2001:e8::/32 | 2001:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2001:e9::/32 | 2001:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2001:ea::/32 | 2001:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2001:eb::/32 | 2001:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2001:ec::/32 | 2001:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2001:ed::/32 | 2001:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2001:ee::/32 | 2001:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2001:ef::/32 | 2001:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2001:f0::/32 | 2001:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2001:f1::/32 | 2001:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2001:f2::/32 | 2001:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2001:f3::/32 | 2001:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2001:f4::/32 | 2001:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2001:f5::/32 | 2001:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2001:f6::/32 | 2001:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2001:f7::/32 | 2001:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2001:f8::/32 | 2001:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2001:f9::/32 | 2001:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2001:fa::/32 | 2001:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2001:fb::/32 | 2001:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2001:fc::/32 | 2001:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2001:fd::/32 | 2001:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2001:fe::/32 | 2001:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2001:ff::/32 | 2001:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |